﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using Telerik.Web.UI;


public partial class Default : System.Web.UI.Page 
{
    protected void Page_Init(object sender, EventArgs e)
    {
        //RadDockLayout1.Controls.Add(RadDockZone1);
        //RadDockLayout1.Controls.Add(RadDockZone2);
        //RadDockLayout1.Controls.Add(RadDockZone3);

        //RadDockLayout1.Controls.Add(RadDock1);
        //RadDockLayout1.Controls.Add(RadDock2);
        //RadDockLayout1.Controls.Add(RadDock3);





    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }


    protected void RadDockLayout1_SaveDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
    {
        HttpCookie dockState = Page.Response.Cookies.Get("DashboardDockStates");
        if (dockState == null)
        {
            dockState = new HttpCookie("DashboardDockStates");
            Page.Response.Cookies.Add(dockState);
        }
        List<DockState> stateList = ((RadDockLayout)sender).GetRegisteredDocksState();
        StringBuilder serializedList = new StringBuilder();
        for (int i = 0; i < stateList.Count; i++)
        {
            serializedList.Append(stateList[i].ToString());
            serializedList.Append("|");
        }
        dockState.Expires = DateTime.Today.AddMonths(1);
        dockState.Value = serializedList.ToString();

    }
    protected void RadDockLayout1_LoadDockLayout(object sender, DockLayoutEventArgs e)
    {
        HttpCookie dockState = Page.Request.Cookies.Get("DashboardDockStates");
        if (dockState != null)
        {
            string serializedList = dockState.Value;
            if (serializedList != null)
            {
                string[] states = serializedList.Split('|');
                for (int i = 0; i < states.Length; i++)
                {
                    DockState state = DockState.Deserialize(states[i]);
                    e.Positions[state.UniqueName] = state.DockZoneID;
                    e.Indices[state.UniqueName] = state.Index;
                }
            }
        }
    }
}
